---
schema_version: "1"
id: 6935d41e765b9659650e9a1ea5328938e905eb7e9c7e828c5df7e4a315633d3c
title: Data Recommender Names (deprecated)
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/b2c-commerce/references/generated-api-specs/ocapi-data-recommender-names.md
canonical_url: https://developer.salesforce.com/docs/commerce/b2c-commerce/references/ocapi-data-recommender-names
source_site: developer.salesforce.com
content_type: documentation
content_hash: db74a46c7822dfb3aced4b9cc92d238b73c522bbb0e5e6e02a7e795c87066461
products:
  - B2C Commerce
  - Salesforce APIs
---
Data Recommender Names (deprecated)

# Data Recommender Names (deprecated)

Data API endpoints enable developers to build applications for merchants: Create, update, delete business objects, like products, customers, pricing and promotions or assignments. They typically provide read and write access and are designed for moderate usage.

**Version:** 25.6

## Servers

*   `https://{host}/s/-/dw/data/v25_6`

Protocols: https.

## Security

*   `oauth2_application` (oauth2) Authentication flow with client ID and password with account manager.
    *   OAuth flow application (tokenUrl: https://account.demandware.com:443/dwsso/oauth2/access\_token)
    *   Scope x-info: Scopes are NOT supported. This is just a dummy, because the 'scopes' field is required.
*   `client_id` (apiKey) Add client ID for application identification. Alternative as 'client\_id' query parameter.
    *   API key in header: x-dw-client-id

## Operations

### GET Get recommenders

`GET /sites/{site_id}/ai/recommender_names`

Operation ID: `Get recommenders`. Tags: sites. Security: oauth2\_application.

Get a list of available AI recommenders. Recommenders are configured in the Einstein configurator and are required with AI recommendation API requests.

This endpoint may return the following faults:

*   400 - CQuotientException - If CQuotient responds with a non-success status code.
*   404 - SiteNotFoundException - If the given site does not exist.

#### Parameters

*   `site_id` (path, string, required) Site ID to get a list of recommenders for.  
    Minimum length: 1. Maximum length: 256.

#### Responses

*   **400** `CQuotientException` - If CQuotient responds with a non-success status code.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **404** `SiteNotFoundException` - If the given site does not exist.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **default**
    
    Media type: `application/json, text/xml`. Schema: `recommenders_result`.
    

## Schemas

### fault

Document representing a fault message that is returned whenever the HTTP status code is greater than or equal to 400 (which indicates an error).

*   `arguments` (_object_)
    
    A map that provides fault arguments.
    
    Data can be used to provide error messages on the client side.
    
    Additional properties: `object`.
    
*   `cause` (_cause_)
*   `display_message_pattern` (_string_) The localized display message pattern, if the request parameter display\_locale was given
*   `message` (_string_) The message text of the java exception.
*   `stack_trace` (_string_)
*   `type` (_string_) The name of the java exception.

### recommenders\_result

A list of recommenders available for use in recommendation requests.

*   `recommenders` (_array of recommender_) The recommender objects

_Example_

```
{
  "recommenders": [
    {
      "description": "Recommender for Alternate Products on a PDP",
      "name": "Alternate-Product-to-Product"
    },
    {
      "description": "** for shared demo **",
      "name": "topsellers"
    },
    {
      "description": "Shopper, Recently-Viewed",
      "name": "recently-viewed"
    },
    {
      "description": "demo",
      "name": "demo"
    }
  ]
}
```

### cause

*   `cause` (_cause_)
*   `message` (_string_)
*   `type` (_string_)

### recommender

The recommender object

*   `description` (_string_) The description of the recommender
*   `name` (_string_) The name of the recommender

_Example_

```
{
  "description": "Recommender for Alternate Products on a PDP",
  "name": "Alternate-Product-to-Product"
}
```